<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:56:58 EDT 2005 -->
<TITLE>
Uses of Interface org.eclipse.wst.common.componentcore.resources.IVirtualComponent
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface org.eclipse.wst.common.componentcore.resources.IVirtualComponent";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IVirtualComponent.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<CENTER>
<H2>
<B>Uses of Interface<br>org.eclipse.wst.common.componentcore.resources.IVirtualComponent</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.common.componentcore"><B>org.eclipse.wst.common.componentcore</B></A></TD>
<TD>
        The ComponentCore API allows clients to work with the Structural 
        Metamodels that define abstract modules within Eclipse projects.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.common.componentcore.resources"><B>org.eclipse.wst.common.componentcore.resources</B></A></TD>
<TD>
        The ComponentCore Virtual Path API allows clients to navigate 
        logical collections of files within Eclipse projects using API 
        similar to the Eclipse IResource API.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.common.componentcore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A> in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/package-summary.html">org.eclipse.wst.common.componentcore</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/package-summary.html">org.eclipse.wst.common.componentcore</A> that return <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></CODE></FONT></TD>
<TD><CODE><B>ComponentCore.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ComponentCore.html#createComponent(IProject, java.lang.String)">createComponent</A></B>(IProject&nbsp;aProject,
                java.lang.String&nbsp;aComponentName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return an IVirtualComponent with the given name (aComponentName) contained by 
 the given project (aProject).</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/package-summary.html">org.eclipse.wst.common.componentcore</A> with parameters of type <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B>ArtifactEdit.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html#getArtifactEditForRead(org.eclipse.wst.common.componentcore.resources.IVirtualComponent)">getArtifactEditForRead</A></B>(<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the given
 <CODE>WorkbenchComponent</CODE>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html" title="class in org.eclipse.wst.common.componentcore">ArtifactEdit</A></CODE></FONT></TD>
<TD><CODE><B>ArtifactEdit.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html#getArtifactEditForWrite(org.eclipse.wst.common.componentcore.resources.IVirtualComponent)">getArtifactEditForWrite</A></B>(<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Returns an instance facade to manage the underlying edit model for the given
 <CODE>WorkbenchComponent</CODE>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ArtifactEdit.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html#isValidEditableModule(org.eclipse.wst.common.componentcore.resources.IVirtualComponent)">isValidEditableModule</A></B>(<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aModule)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Note: This method is for internal use only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualReference.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualReference</A></CODE></FONT></TD>
<TD><CODE><B>ComponentCore.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ComponentCore.html#createReference(org.eclipse.wst.common.componentcore.resources.IVirtualComponent, org.eclipse.wst.common.componentcore.resources.IVirtualComponent)">createReference</A></B>(<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aComponent,
                <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aReferencedComponent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return an IVirtualReference that captures a relationship between aComponent and aReferencedComponent.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Constructors in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/package-summary.html">org.eclipse.wst.common.componentcore</A> with parameters of type <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ArtifactEdit.html#ArtifactEdit(org.eclipse.wst.common.componentcore.ModuleCoreNature, org.eclipse.wst.common.componentcore.resources.IVirtualComponent, boolean)">ArtifactEdit</A></B>(<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/ModuleCoreNature.html" title="class in org.eclipse.wst.common.componentcore">ModuleCoreNature</A>&nbsp;aNature,
             <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>&nbsp;aModule,
             boolean&nbsp;toAccessAsReadOnly)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Creates an instance facade for the given <CODE>WorkbenchComponent</CODE>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.common.componentcore.resources"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
Uses of <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A> in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/package-summary.html">org.eclipse.wst.common.componentcore.resources</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=2>Methods in <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/package-summary.html">org.eclipse.wst.common.componentcore.resources</A> that return <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A>[]</CODE></FONT></TD>
<TD><CODE><B>IFlexibleProject.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IFlexibleProject.html#getComponents()">getComponents</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds and returns the components within this project, defined by the
 component model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></CODE></FONT></TD>
<TD><CODE><B>IFlexibleProject.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IFlexibleProject.html#getComponent(java.lang.String)">getComponent</A></B>(java.lang.String&nbsp;aComponentName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Finds and returns the component within this project, defined by the
 component model, specified by the component name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></CODE></FONT></TD>
<TD><CODE><B>IVirtualReference.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualReference.html#getEnclosingComponent()">getEnclosingComponent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The enclosing component contains this reference, and will absorb the contents of the referenced component</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></CODE></FONT></TD>
<TD><CODE><B>IVirtualReference.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualReference.html#getReferencedComponent()">getReferencedComponent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The referenced component is "targeted" by the reference, and will be absorbed by the enclosing component.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources">IVirtualComponent</A></CODE></FONT></TD>
<TD><CODE><B>IVirtualResource.</B><B><A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualResource.html#getComponent()">getComponent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the name of the component that contains this virtual resource.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../org/eclipse/wst/common/componentcore/resources/IVirtualComponent.html" title="interface in org.eclipse.wst.common.componentcore.resources"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IVirtualComponent.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
